Status: In Progress Priority: Normal

Author: Gioacchino Mazzurco Category:

Created: 04/01/2014 Assignee: Gioacchino Mazzurco

Updated: 12/12/2015 Due date:

Subject: br-lan: received packet on bat0 with own address as source address

Description

That's what dmesg says, seems something unexpected is happening inside linux kernel bridge/vlan/batman-adv code, they should

investigate better what's happening, but seems someone pushing for this is needed.

here is a sample output of dmesg

[  655.280000] br-lan: received packet on bat0 with own address as source address

[  665.300000] br-lan: received packet on bat0 with own address as source address

[  675.320000] br-lan: received packet on bat0 with own address as source address

[  685.340000] br-lan: received packet on bat0 with own address as source address

[  695.360000] br-lan: received packet on bat0 with own address as source address

[  705.380000] br-lan: received packet on bat0 with own address as source address

History

#1 - 04/01/2014 04:44 pm - Gioacchino Mazzurco

Workaround committed to develop branch at 4dabab15b53603f812b722a859e988bf0e095201 and 4dabab15b53603f812b722a859e988bf0e095201

#2 - 10/26/2014 02:42 pm - Gioacchino Mazzurco

- Status changed from New to In Progress

- Assignee set to Gioacchino Mazzurco

- Priority changed from Low to Normal

- Estimated time set to 2.00

#3 - 11/05/2014 09:44 am - Gioacchino Mazzurco

- Status changed from In Progress to Rejected

We cannot fix this bug without breaking linux networking stack, as VLAN and base network interface must have same MAC address

#4 - 12/12/2015 11:45 am - Gioacchino Mazzurco

- Status changed from Rejected to In Progress
